Version 4

    The 1.2_08 patch release of Mojarra (formerly called JSF RI), has several important and useful patches over the 1.2_04 version that ships with JBoss AS 4.2.2.


    Click here for the Mojarra release notes.


    It's fairly easy to upgrade the JSF version in 4.2.2 to use Mojarra 1.2_08.  Just copy jboss-faces.jar, jsf-api.jar, and jsf-impl.jar from JBoss AS 5 CR1 or later.  If you are reading this before the release of JBoss AS 5 CR1, you will need to build it from SVN.  You will copy these jars from /deploy/jboss-web.deployer/jsf-libs.


    Note that this is a community-only tip and this configuration is in no way supported in a community release.



    Referenced by: